EDIT - bug #7999

Allow override does not work correctly for distribution areas

01/17/2019 11:29 AM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: critical Found in Version:

Description

| tested with an empty databases with no CdmPreferences at all. | would expect that the default is, that | can define the available
vocabularies in the local preferences and that the default value is that all vocabularies are selected (as nobody set a filter yet)

But both is not the case. The area selection is disabled in local preferences and in distribution editor no vocabulary is available.

This currently leads to an NPE when opening the distribution editor as the list of areas is null:

login admin

editor version 5.5.0.201901170948
(edit-test)

5.0.0.0.20180514

server test.e-taxonomy.eu / testl

schema version

os Windows Server 2012 R2 6.3 amd64
java 1.8.0_121
org.eclipse.ed.core.di.InjectionException: java.

at org.eclipse.ed.core.internal.
)

at org.eclipse.ed.core.internal.
:282)

at org.eclipse.ed.core.internal.
:288)

at org.eclipse.ed.core.internal.

at org.eclipse.ed.core.contexts.
tory.java:132)

at org.eclipse.ed.core.commands.
iceHandler. java:152)

at org.eclipse.

Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.
istributionEditor. java:538)

at eu.etaxonomy.taxeditor.
(DistributionEditor. java:333)

at eu.etaxonomy.taxeditor.
DistributionEditor. java:293)

at eu.etaxonomy.taxeditor.
tributionEditorPart. java:120)

at eu.etaxonomy.taxeditor.
:105)

at eu.etaxonomy.taxeditor.editor.
lerE4.open (OpenChecklistEditorHandlerE4. java:66)
editor.

editor.
editor.

lang.NullPointerException

di.MethodRequestor.execute (MethodRequestor. java:65

di.InjectorImpl
di.InjectorImpl

di.InjectorImpl

.invokeUsingClass (InjectorImpl. java
.invokeUsingClass (InjectorImpl. java

.invoke (InjectorImpl. java:264)

ContextInjectionFactory.invoke (ContextInjectionFac

internal.HandlerServiceHandler.execute (HandlerServ

view.checklist

view.checklist

view.checklist

view.checklist

view.checklist

core.commands.Command.executeWithChecks (Command. java:494)

.ed.DistributionEditor.initLabels (D
.e4.DistributionEditor.createlayers
.e4 .DistributionEditor.createTable (

.ed4.DistributionEditorPart.init (Dis

EditorUtil.openDistributionEditor (EditorUtil. java

.ed4.handler.OpenChecklistEditorHand

at eu.etaxonomy.taxeditor.editor.view.checklist.ed4.handler.OpenChecklistEditorHand

lerE4.open (OpenChecklistEditorHandlerE4. java:1)

at eu.etaxonomy.taxeditor.handler.defaultHandler.ed4.DefaultOpenHandlerBaseE4.execu

te (DefaultOpenHandlerBaseE4. java:39)

at
at
at
va:43)
at
at
)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja

java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55

1/4




37 more

Related issues:

Related to EDIT - bug #7856: Allow local override for distribution vocabularies Closed
Related to EDIT - task #7854: Open issues in TaxDistributionEditor Closed
Related to EDIT - bug #7880: Implement centralized preference default loading... Closed

Associated revisions

Revision 0082e2d6 - 01/17/2019 03:06 PM - Katja Luther

ref #7999: if no db pref exists for vocabularies, the button in local pref is editable

Revision 10f96af0 - 01/17/2019 03:06 PM - Katja Luther

ref #7999: if no pref exists for area vocs then use all vocs

Revision 57d3d692 - 01/28/2019 10:13 AM - Katja Luther
ref bug #7999: fix NPEs in preferences pages

Revision 2470b75b - 01/30/2019 12:12 PM - Katja Luther

fix #7999: fix NPE in namedetailsview config when no db pref available

History

#1-01/17/2019 11:31 AM - Andreas Miiller

- Related to bug #7856: Allow local override for distribution vocabularies added

#2 - 01/17/2019 11:31 AM - Andreas Miiller
- Related to task #7854: Open issues in TaxDistributionEditor added

#3 - 01/17/2019 11:33 AM - Andreas Miiller
- Related to bug #7880: Implement centralized preference default loading strategy added

#4 - 01/18/2019 10:28 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mtiller

this should be fixed now, please review

#5 - 01/25/2019 12:42 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Similar(?) issue for distribution status

login : admin

editor version : 5.5.0.201901242349

server : test.e-taxonomy.eu (edit-test) / testl

schema version : 5.0.0.0.20180514

os : Windows Server 2012 R2 6.3 amd64

java : 1.8.0_121

org.eclipse.ed.core.di.InjectionException: java.lang.NullPointerException

at org.eclipse.e4d.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)

at org.eclipse.ed4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:132)

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)
at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl. java:210)
at org.eclipse.ui.internal.handlers.LegacyHandlerService.executeCommand (LegacyHandlerService. java:353)
at org.eclipse.ui.internal.handlers.LegacyHandlerService.executeCommand (LegacyHandlerService. java:340)
at eu.etaxonomy.taxeditor.ui.element.CommandHandlerButton$l.widgetSelected (CommandHandlerButton. java:61)

at
at
org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)
org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
org.eclipse.swt.widgets.Display.readAndDispatch (Display. java:3824)
org.eclipse.jface.window.Window.runEventLoop (Window. java:818)
org.eclipse.jface.window.Window.open (Window. java:794)
eu.etaxonomy.taxeditor.workbench.handler.OpenPreferencesHandler.execute (OpenPreferencesHandler. java:124

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)
org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:132)
org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)
org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)
org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)
org.eclipse.ed4.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl. java:210)
org.eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeItem(HandledContributionItem. j

ava:433)

at

org.eclipse.ed4.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (AbstractContri

butionItem. java:454)

at

org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractContributionIt

em. java:482)

at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at

at
at
at
at
at
at
at
at
Caused
at

org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
org.eclipse.swt.widgets.Display.readAndDispatch (Display. java:3824)
org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
org.eclipse.ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher. java:104)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run (Main. java:1519)

by: java.lang.NullPointerException
eu.etaxonomy.taxeditor.preference.wizard.AbstractAdminTermSelectionWizardPage.<init> (AbstractAdminTermS

electionWizardPage. java:37)

at

eu.etaxonomy.taxeditor.preference.wizard.AvailableDistributionStatusPage.<init> (AvailableDistributionSt

atusPage. java:37)

at

eu.etaxonomy.taxeditor.preference.wizard.AvailableDistributionStatusWizard.<init> (AvailableDistribution

StatusWizard.java:46)

at

eu.etaxonomy.taxeditor.handler.e4.0OpenDistributionStatusWizardHandler.execute (OpenDistributionStatusWiz

ardHandler. java:31)

at
at
at
at
at

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
#6 - 01/25/2019 12:47 PM - Andreas Miuller

But the original issue seems to be fixed or at least works much better. Final testing is difficult and | will do it when the above bug is fixed.

#7 - 01/28/2019 10:52 AM - Katja Luther
- Status changed from Feedback to Resolved

both problems should be solved now.

#8 - 01/28/2019 10:52 AM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 60

#9 - 01/29/2019 06:06 PM - Andreas Miiller
- File picture928-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

When opening lokal pref distribution editor page | got

ED Could Not Accept Changes -

|®| The currently displayed page centains invalid values.

Worked on test/test1. DB prefs all deleted before starting editor.

#10 - 01/30/2019 12:13 PM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 60 to 50

Applied in changeset taxeditor|2470b75b282ae6caad10744fb0fc14d8b1165411.

#11 - 01/30/2019 12:14 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 50 to 60

#12 - 01/31/2019 10:42 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 60 to 100
This seems to work as expected now.

Files

picture928-1.png 6.63 KB 01/29/2019
